Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding
Interface OperationBinding

All Superinterfaces:
  ControlBinding

public interface OperationBinding
extends ControlBinding

A ControlBinding that binds an datacontrol action, including navigational actions such as "Next" and "Prev", or other actions such as "Commit" and "Rollback", to a view component.
This interface is implemented by the data binding framework, and is made available to the View components through the binding container.

Method Summary
`java.lang.Object` | `execute()` Executes this OperationBinding, for example, as a result of a UI button being pressed.
`java.util.List` | `getErrors()` Returns a list of errors that were raised during the last invoke operation call.
`OperationInfo` | `getOperationInfo()` Returns a description of the operation to invoke.
`java.util.Map` | `getParamsMap()` Retuns a map of name-value pairs of arguments and argument values to be passed to the bound operation.
`java.lang.Object` | `getResult()` Returns the result of invoking the operation bound by this binding (if the method has been already invoked.
`boolean` | `isOperationEnabled()` Whether the action binding is enabled or disabled.

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, release, resolvePath, setListener`

Method Detail

### isOperationEnabled

    public boolean isOperationEnabled()

  Whether the action binding is enabled or disabled.
  Returns:
    True if the action is currently enabled. False otherwise.

### execute

    public java.lang.Object execute()

  Executes this OperationBinding, for example, as a result of a UI button being pressed. This should translate into invoking some operation on the underlying data control. If there are exceptions within the invoke operation, these exceptions should be accessible via getErrors().
  Returns:
    the result of the operation (null if the operation has no return type (void).

### getErrors

    public java.util.List getErrors()

  Returns a list of errors that were raised during the last invoke operation call.
  Returns:
    A list of Throwable that were raised during setInputValue(). It returns null if there is no error occurred.
  See Also:
    `execute()`

### getOperationInfo

    public OperationInfo getOperationInfo()

  Returns a description of the operation to invoke. If this operation is a built in operation, this method may return null or no MethodInfo.

### getParamsMap

    public java.util.Map getParamsMap()

  Retuns a map of name-value pairs of arguments and argument values to be passed to the bound operation.

### getResult

    public java.lang.Object getResult()

  Returns the result of invoking the operation bound by this binding (if the method has been already invoked. This method may not force the method invocation.) This method may return null in case the method has not been invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.